@import '_content/Blazor.Bootstrap/Blazor.Bootstrap.7t9tbfaemk.bundle.scp.css';

/* /Components/Dropdowns/AnimatedSelect.razor.rz.scp.css */
.scroll-container[b-566o0sjr1o] {
    /*width: 300px;
    height: 200px;*/
    overflow-y: scroll; /* Enables vertical scrolling only */
    overflow-x: hidden; /* Hides horizontal overflow */
    scroll-behavior: smooth; /* Smooth scrolling */
}
.scroll-container[b-566o0sjr1o]::-webkit-scrollbar {
    width: 2px; /* Width of the scrollbar */
}

    .scroll-container[b-566o0sjr1o]::-webkit-scrollbar-thumb {
        background-color: var(--bs-body-color); /* Scroll thumb color */
        border-radius: 5px;
    }

.scroll-container[b-566o0sjr1o]::-webkit-scrollbar-track {
    background-color: transparent; /* Track color */
}


.border-top-0[b-566o0sjr1o] {
    border-top-right-radius: 0px;
    border-top-left-radius: 0px;
}

.border-bottom-0[b-566o0sjr1o] {
    border-bottom-right-radius: 0px;
    border-bottom-left-radius: 0px;
}

.on-focus[b-566o0sjr1o] {
    border-color: #066ac9;
    border-top-color: var(--bs-border-color);
}
.on-valid-focus[b-566o0sjr1o] {
    border-color: var(--bs-form-valid-border-color);
    -webkit-box-shadow: 0 0 0.15rem 0.15rem rgba(var(--bs-success-rgb), 0.15);
    box-shadow: 0 0 0.15rem 0.15rem rgba(var(--bs-success-rgb), 0.15);
}
.on-invalid-focus[b-566o0sjr1o] {
    border-color: var(--bs-form-invalid-border-color);
    -webkit-box-shadow: 0 0 0.15rem 0.15rem rgba(var(--bs-danger-rgb), 0.15);
    box-shadow: 0 0 0.15rem 0.15rem rgba(var(--bs-danger-rgb), 0.15);
}

.on-blur[b-566o0sjr1o] {
    border-top-color: var(--bs-border-color);
}
.on-valid-blur[b-566o0sjr1o] {
    border-color: var(--bs-form-valid-border-color);
    border-top-color: var(--bs-border-color);
}
.on-invalid-blur[b-566o0sjr1o] {
    border-color: var(--bs-form-invalid-border-color);
    border-top-color: var(--bs-border-color);
}

.custom-select-dropdown[b-566o0sjr1o] {
    padding: 0px;
    width: 100%;
    position: relative;
}

    .custom-select-dropdown > .input-section[b-566o0sjr1o] {
        padding-left: 40px !important;
    }

        .custom-select-dropdown > .input-section > .caret[b-566o0sjr1o] {
            position: absolute;
            height: calc(100% - 2px);
            width: 39px;
            right: 0px;
            top: 0px;
            margin: 1px;
            border-radius: inherit;
            font-size: 16px;
            /* pointer-events: none;  So it doesn't block the input click */
            border-left: 1px solid var(--bs-border-color);
            background-color: var(--bs-body-bg);
        }

            .custom-select-dropdown > .input-section > .caret > span[b-566o0sjr1o] {
                display: flex;
                height: 100%;
                border-radius: inherit;
                justify-content: center;
                align-items: center;
                cursor: pointer;
                color: var(--bs-body-color);
            }

    .custom-select-dropdown > .dropdown-section[b-566o0sjr1o] {
        padding: 0px 0px 0px 2px;
        display: flex;
        max-height: 247px;
        position: absolute;
        left: 0px;
        z-index: 10;
        border-top-right-radius: 0px;
        border-top-left-radius: 0px;
    }

        .custom-select-dropdown > .dropdown-section > .dropdown-list[b-566o0sjr1o] {
            list-style: none;
            padding: 0;
            margin: 0;
            position: relative;
            width: 100%;
            z-index: 10;
        }

        .custom-select-dropdown > .dropdown-section .dropdown-item[b-566o0sjr1o] {
            padding: 0.625rem 1rem;
            cursor: pointer;
            font-weight: 400;
            box-shadow: 0px 0.4px 0px 0px var(--bs-border-color);
            word-wrap: break-word; /* Old syntax, still widely supported */
            overflow-wrap: break-word; /* Standard syntax */
            white-space: normal; /* Allows text wrapping */
        }
            .custom-select-dropdown > .dropdown-section .dropdown-item.focused[b-566o0sjr1o] {
                background-color: burlywood;
            }

            .custom-select-dropdown > .dropdown-section .dropdown-item:hover[b-566o0sjr1o] {
                color: var(--bs-light);
                background-color: var(--bs-gray-600);
                border-radius: 18px;
                font-weight: 400;
                font-size: 15px !important;
            }
/* /Components/Dropdowns/CustomDropdown.razor.rz.scp.css */
.search-box-container[b-39f7daa3kk] {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 12px 20px;
    border: 1px solid;
    border-radius: 12px;
    background-color: inherit;
}

    .search-box-container:focus-within[b-39f7daa3kk] {
        border-radius: 12px;
        box-shadow: 0 0 0 0.05rem rgba(13, 110, 253, 0.25);
    }

.search-box[b-39f7daa3kk] {
    position: relative;
    display: flex;
    border-radius: 8px;
    align-items: center;
    
    transition: all 0.3s ease;
    background-color: transparent;
}

    .search-box:hover[b-39f7daa3kk],
    .search-box:focus-within[b-39f7daa3kk] {
        border-radius: 12px;
        /* box-shadow: 0 0 0 0.05rem rgba(13, 110, 253, 0.25); */
    }

    .search-box:focus-within[b-39f7daa3kk] {
        border-bottom-left-radius: 0px;
        border-bottom-right-radius: 0px;
    }

.search-icon[b-39f7daa3kk] {
    margin-right: 12px;
    font-size: 18px;
    color: #5f6368;
}

.search-input[b-39f7daa3kk] {
    flex: 1;
    border: none;
    outline: none;
    font-size: 16px;
    background: transparent;
}

.search-actions[b-39f7daa3kk] {
    display: flex;
    align-items: center;
}

.clear-btn[b-39f7daa3kk] {
    background: none;
    border: none;
    font-size: 24px;
    color: #70757a;
    cursor: pointer;
    padding: 4px 8px;
    border-radius: 50%;
    transition: background-color 0.2s;
    line-height: 1;
    display: contents;
}

    .clear-btn:hover[b-39f7daa3kk] {
        background-color: #f1f3f4;
        color: #8d1a3e;
    }

.search-dropdown[b-39f7daa3kk] {
    margin-top: 10px;
    z-index: 1000;
    max-height: 500px;
    overflow-y: auto;
    opacity: 1;
}

.dropdown-section[b-39f7daa3kk] {
    padding: 0px 0;
    border-bottom: 1px solid rgb(147 147 147 / 50%);
}

    .dropdown-section:last-child[b-39f7daa3kk] {
        border-bottom: none;
    }

.section-title[b-39f7daa3kk] {
    padding: 8px 0px;
    font-size: 13px;
    font-weight: 600;
    text-transform: uppercase;
    letter-spacing: 0.5px;
}

.suggestion-item[b-39f7daa3kk] {
    display: flex;
    padding: 10px 0px;
    cursor: pointer;
    transition: all 0.3s ease;
    border-left: 3px solid transparent;
    flex-direction: row;
    align-items: flex-end;
}

    .suggestion-item:hover[b-39f7daa3kk],
    .suggestion-item.highlighted[b-39f7daa3kk] {
        background-color: var(--bs--light);
        border-left-color: #1a73e8;
    }

.suggestion-icon[b-39f7daa3kk] {
    margin-right: 6px;
    /* font-size: 16px; */
    /* width: 20px; */
    /* text-align: center; */
    color: #5f6368;
    line-height: normal;
}

.suggestion-content[b-39f7daa3kk] {
    flex: 1;
}

.suggestion-key[b-39f7daa3kk] {
    font-size: 14px;
    font-weight: 600;
    /*margin-top: 4px;*/
}

.suggestion-value[b-39f7daa3kk] {
    font-size: 13px;
    line-height: 1.4;
    opacity: 0.75;
}

.dropdown-footer[b-39f7daa3kk] {
    padding: 8px 0px;
    text-align: center;
}

.more-items[b-39f7daa3kk] {
    font-size: 13px;
    color: #5f6368;
    font-style: italic;
}

.no-results[b-39f7daa3kk] {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 40px 20px;
    color: #5f6368;
}

.no-results-icon[b-39f7daa3kk] {
    font-size: 48px;
    margin-bottom: 16px;
    opacity: 0.5;
}

.no-results-text[b-39f7daa3kk] {
    font-size: 14px;
    text-align: center;
}


.selected-content[b-39f7daa3kk] {
    display: flex;
    flex-direction: column;
    gap: 12px;
}

.selected-key[b-39f7daa3kk],
.selected-value[b-39f7daa3kk] {
    display: flex;
    align-items: flex-start;
}

    .selected-key .label[b-39f7daa3kk],
    .selected-value .label[b-39f7daa3kk] {
        font-weight: 600;
        color: #5f6368;
        min-width: 60px;
        margin-right: 12px;
    }

    .selected-key .value[b-39f7daa3kk] {
        color: #202124;
        font-weight: 500;
        background: white;
        padding: 4px 8px;
        border-radius: 4px;
        border: 1px solid #dadce0;
    }

    .selected-value .value[b-39f7daa3kk] {
        color: #5f6368;
        flex: 1;
        line-height: 1.5;
    }

.dictionary-stats[b-39f7daa3kk] {
    display: flex;
    justify-content: center;
    gap: 24px;
    margin-top: 20px;
    padding: 16px;
    background: #f8f9fa;
    border-radius: 8px;
    font-size: 13px;
    color: #5f6368;
}

.stat-item[b-39f7daa3kk] {
    font-weight: 500;
}

/* Scrollbar styling */
.search-dropdown[b-39f7daa3kk]::-webkit-scrollbar {
    width: 0px;
}

.search-dropdown[b-39f7daa3kk]::-webkit-scrollbar-track {
    background: #f1f3f4;
    border-radius: 4px;
}

.search-dropdown[b-39f7daa3kk]::-webkit-scrollbar-thumb {
    background: #dadce0;
    border-radius: 4px;
}

    .search-dropdown[b-39f7daa3kk]::-webkit-scrollbar-thumb:hover {
        background: #bdc1c6;
    }

/* Animation for selection */
.suggestion-item:active[b-39f7daa3kk] {
    transform: scale(0.98);
    transition: transform 0.1s;
}
/* /Components/Dropdowns/CustomDropdownV1.razor.rz.scp.css */
/* /Components/Dropdowns/CustomDropdownV2.razor.rz.scp.css */
/* /Components/Dropdowns/CustomDropdownV3.razor.rz.scp.css */
/* /Components/Dropdowns/SearchDropdown.razor.rz.scp.css */
.scroll-container[b-ave60ai1ct] {
    /*width: 300px;
    height: 200px;*/
    overflow-y: scroll; /* Enables vertical scrolling only */
    overflow-x: hidden; /* Hides horizontal overflow */
    scroll-behavior: smooth; /* Smooth scrolling */
}
.scroll-container[b-ave60ai1ct]::-webkit-scrollbar {
    width: 2px; /* Width of the scrollbar */
}

    .scroll-container[b-ave60ai1ct]::-webkit-scrollbar-thumb {
        background-color: var(--bs-body-color); /* Scroll thumb color */
        border-radius: 5px;
    }

.scroll-container[b-ave60ai1ct]::-webkit-scrollbar-track {
    background-color: transparent; /* Track color */
}


.border-top-0[b-ave60ai1ct] {
    border-top-right-radius: 0px;
    border-top-left-radius: 0px;
}

.border-bottom-0[b-ave60ai1ct] {
    border-bottom-right-radius: 0px;
    border-bottom-left-radius: 0px;
}

.on-focus[b-ave60ai1ct] {
    border-color: #066ac9;
    border-top-color: var(--bs-border-color);
}
.on-valid-focus[b-ave60ai1ct] {
    border-color: var(--bs-form-valid-border-color);
    -webkit-box-shadow: 0 0 0.15rem 0.15rem rgba(var(--bs-success-rgb), 0.15);
    box-shadow: 0 0 0.15rem 0.15rem rgba(var(--bs-success-rgb), 0.15);
}
.on-invalid-focus[b-ave60ai1ct] {
    border-color: var(--bs-form-invalid-border-color);
    -webkit-box-shadow: 0 0 0.15rem 0.15rem rgba(var(--bs-danger-rgb), 0.15);
    box-shadow: 0 0 0.15rem 0.15rem rgba(var(--bs-danger-rgb), 0.15);
}

.on-blur[b-ave60ai1ct] {
    border-top-color: var(--bs-border-color);
}
.on-valid-blur[b-ave60ai1ct] {
    border-color: var(--bs-form-valid-border-color);
    border-top-color: var(--bs-border-color);
}
.on-invalid-blur[b-ave60ai1ct] {
    border-color: var(--bs-form-invalid-border-color);
    border-top-color: var(--bs-border-color);
}

.custom-select-dropdown[b-ave60ai1ct] {
    padding: 0px;
    width: 100%;
    position: relative;
}

    .custom-select-dropdown > .input-section[b-ave60ai1ct] {
        padding-left: 40px !important;
    }

        .custom-select-dropdown > .input-section > .caret[b-ave60ai1ct] {
            position: absolute;
            height: calc(100% - 2px);
            width: 39px;
            right: 0px;
            top: 0px;
            margin: 1px;
            border-radius: inherit;
            font-size: 16px;
            /* pointer-events: none;  So it doesn't block the input click */
            border-left: 1px solid var(--bs-border-color);
            background-color: var(--bs-body-bg);
        }

            .custom-select-dropdown > .input-section > .caret > span[b-ave60ai1ct] {
                display: flex;
                height: 100%;
                border-radius: inherit;
                justify-content: center;
                align-items: center;
                cursor: pointer;
                color: var(--bs-body-color);
            }

    .custom-select-dropdown > .dropdown-section[b-ave60ai1ct] {
        padding: 0px 0px 0px 2px;
        display: flex;
        max-height: 247px;
        position: absolute;
        left: 0px;
        z-index: 10;
        border-top-right-radius: 0px;
        border-top-left-radius: 0px;
    }

        .custom-select-dropdown > .dropdown-section > .dropdown-list[b-ave60ai1ct] {
            list-style: none;
            padding: 0;
            margin: 0;
            position: relative;
            width: 100%;
            z-index: 10;
        }

        .custom-select-dropdown > .dropdown-section .dropdown-item[b-ave60ai1ct] {
            padding: 0.625rem 1rem;
            cursor: pointer;
            font-weight: 400;
            box-shadow: 0px 0.4px 0px 0px var(--bs-border-color);
            word-wrap: break-word; /* Old syntax, still widely supported */
            overflow-wrap: break-word; /* Standard syntax */
            white-space: normal; /* Allows text wrapping */
        }
            .custom-select-dropdown > .dropdown-section .dropdown-item.focused[b-ave60ai1ct] {
                background-color: burlywood;
            }

            .custom-select-dropdown > .dropdown-section .dropdown-item:hover[b-ave60ai1ct] {
                color: var(--bs-light);
                background-color: var(--bs-gray-600);
                border-radius: 18px;
                font-weight: 400;
                font-size: 15px !important;
            }
/* /Components/Spinners/LoaderSpinner.razor.rz.scp.css */
.loader[b-ann2pt9ohp] {
    position: absolute;
    top: calc(50% - 32px);
    left: calc(50% - 32px);
    width: 64px;
    height: 64px;
    border-radius: 50%;
    perspective: 800px;
}

.inner[b-ann2pt9ohp] {
    position: absolute;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

    .inner.one[b-ann2pt9ohp] {
        left: 0%;
        top: 0%;
        animation: rotate-one-b-ann2pt9ohp 1s linear infinite;
        border-bottom: 3px solid #EFEFFA;
    }

    .inner.two[b-ann2pt9ohp] {
        right: 0%;
        top: 0%;
        animation: rotate-two-b-ann2pt9ohp 1s linear infinite;
        border-right: 3px solid #EFEFFA;
    }

    .inner.three[b-ann2pt9ohp] {
        right: 0%;
        bottom: 0%;
        animation: rotate-three-b-ann2pt9ohp 1s linear infinite;
        border-top: 3px solid #EFEFFA;
    }

@keyframes rotate-one-b-ann2pt9ohp {
    0% {
        transform: rotateX(35deg) rotateY(-45deg) rotateZ(0deg);
    }

    100% {
        transform: rotateX(35deg) rotateY(-45deg) rotateZ(360deg);
    }
}

@keyframes rotate-two-b-ann2pt9ohp {
    0% {
        transform: rotateX(50deg) rotateY(10deg) rotateZ(0deg);
    }

    100% {
        transform: rotateX(50deg) rotateY(10deg) rotateZ(360deg);
    }
}

@keyframes rotate-three-b-ann2pt9ohp {
    0% {
        transform: rotateX(35deg) rotateY(55deg) rotateZ(0deg);
    }

    100% {
        transform: rotateX(35deg) rotateY(55deg) rotateZ(360deg);
    }
}
/* /Components/Spinners/Spinner.razor.rz.scp.css */
.spinner[b-wkyjrdzopx] {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    line-height: 1;
    font-size: 1.25rem; /* Adjust size as needed */
    color: #007bff; /* Adjust color as needed */
    animation: spin-b-wkyjrdzopx 1s linear infinite;
}

.spinner-sm[b-wkyjrdzopx] {
    font-size: 0.75rem; 
}

.spinner-md[b-wkyjrdzopx] {
    font-size: 1.0rem;
}

.spinner-lg[b-wkyjrdzopx] {
    font-size: 1.5rem;
}

.spinner-xl[b-wkyjrdzopx] {
    font-size: 2.0rem;
}

.spinner-xxl[b-wkyjrdzopx] {
    font-size: 2.5rem;
}

@keyframes spin-b-wkyjrdzopx {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}
/* /Components/Spinners/SpinnerArrowHead.razor.rz.scp.css */
.spinner[b-xne9hey17m] {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    padding: 4.8px;
    background: conic-gradient(from 135deg at top,#474bff 90deg, #0000 0) 0 calc(50% - 3.2px)/13.6px 6.8px, radial-gradient(farthest-side at bottom left,#0000 calc(100% - 4.8px),#474bff calc(100% - 4px) 99%,#0000) top right/50% 50% content-box content-box, radial-gradient(farthest-side at top,#0000 calc(100% - 4.8px),#474bff calc(100% - 4px) 99%,#0000) bottom /100% 50% content-box content-box;
    background-repeat: no-repeat;
    animation: spinner-arrow-head-b-xne9hey17m 1s infinite linear;
}

.spinner-sm[b-xne9hey17m] {
    font-size: 0.75rem; 
}

.spinner-md[b-xne9hey17m] {
    font-size: 1.0rem;
}

.spinner-lg[b-xne9hey17m] {
    font-size: 1.5rem;
}

.spinner-xl[b-xne9hey17m] {
    font-size: 2.0rem;
}

.spinner-xxl[b-xne9hey17m] {
    font-size: 2.5rem;
}


@keyframes spinner-arrow-head-b-xne9hey17m {
    100% {
        transform: rotate(1turn);
    }
}
/* /Components/Spinners/SpinnerBasic.razor.rz.scp.css */
.spinner[b-xg73cso884] {
    width: 56px;
    height: 56px;
    border-radius: 50%;
    border: 9px solid;
    border-color: #dbdcef;
    border-right-color: #474bff;
    animation: spinner-basic-b-xg73cso884 1s infinite linear;
}

@keyframes spinner-basic-b-xg73cso884 {
    to {
        transform: rotate(1turn);
    }
}
/* /Components/Spinners/SpinnerCircularBar.razor.rz.scp.css */
.spinner[b-9quut8yg52] {
    width: 56px;
    height: 56px;
    display: grid;
    border-radius: 50%;
    -webkit-mask: radial-gradient(farthest-side,#0000 40%,#474bff 41%);
    background: linear-gradient(0deg,rgba(71,75,255,0.5) 50%,rgba(71,75,255,1) 0) center/4.5px 100%, linear-gradient(90deg,rgba(71,75,255,0.25) 50%,rgba(71,75,255,0.75) 0) center/100% 4.5px;
    background-repeat: no-repeat;
    animation: spinner-circular-bar-b-9quut8yg52 1s infinite steps(12);
}

.spinner[b-9quut8yg52]::before, .spinner[b-9quut8yg52]::after {
    content: "";
    grid-area: 1/1;
    border-radius: 50%;
    background: inherit;
    opacity: 0.915;
    transform: rotate(30deg);
}

.spinner[b-9quut8yg52]::after {
    opacity: 0.83;
    transform: rotate(60deg);
}

.spinner-sm[b-9quut8yg52] {
    font-size: 0.75rem;
}

.spinner-md[b-9quut8yg52] {
    font-size: 1.0rem;
}

.spinner-lg[b-9quut8yg52] {
    font-size: 1.5rem;
}

.spinner-xl[b-9quut8yg52] {
    font-size: 2.0rem;
}

.spinner-xxl[b-9quut8yg52] {
    font-size: 2.5rem;
}

@keyframes spinner-circular-bar-b-9quut8yg52 {
    100% {
        transform: rotate(1turn);
    }
}
/* /Components/Spinners/SpinnerComet.razor.rz.scp.css */
.spinner[b-gozf3uunkk] {
    width: 56px;
    height: 56px;
    border-radius: 50%;
    background: conic-gradient(#0000 10%,#474bff);
    -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 9px),#000 0);
    animation: spinner-comet-b-gozf3uunkk 1s infinite linear;
}

@keyframes spinner-comet-b-gozf3uunkk {
    to {
        transform: rotate(1turn);
    }
}
/* /Components/Spinners/SpinnerDotRing.razor.rz.scp.css */
.spinner[b-au0jzo2cm6] {
    width: 11.2px;
    height: 11.2px;
    animation: spinner-dot-ring-b-au0jzo2cm6 1s infinite linear;
    border-radius: 11.2px;
    box-shadow: 28px 0px 0 0 #474bff, 17.4px 21.8px 0 0 #474bff, -6.2px 27.2px 0 0 #474bff, -25.2px 12px 0 0 #474bff, -25.2px -12px 0 0 #474bff, -6.2px -27.2px 0 0 #474bff, 17.4px -21.8px 0 0 #474bff;
}

@keyframes spinner-dot-ring-b-au0jzo2cm6 {
    to {
        transform: rotate(360deg);
    }
}
/* /Components/Spinners/SpinnerHalfRing.razor.rz.scp.css */
.spinner[b-x66l89wo8b] {
    width: 11.2px;
    height: 11.2px;
    border-radius: 11.2px;
    box-shadow: 28px 0px 0 0 rgba(71,75,255,0.2), 22.7px 16.5px 0 0 rgba(71,75,255,0.4), 8.68px 26.6px 0 0 rgba(71,75,255,0.6), -8.68px 26.6px 0 0 rgba(71,75,255,0.8), -22.7px 16.5px 0 0 #474bff;
    animation: spinner-half-ring-b-x66l89wo8b 1s infinite linear;
}

@keyframes spinner-half-ring-b-x66l89wo8b {
    to {
        transform: rotate(360deg);
    }
}
/* /Components/Spinners/SpinnerSquareRing.razor.rz.scp.css */
.spinner[b-3mhwfzpdwo] {
    width: 56px;
    height: 56px;
    border-radius: 50%;
    padding: 1.1px;
    background: conic-gradient(#0000 10%,#474bff) content-box;
    -webkit-mask: repeating-conic-gradient(#0000 0deg,#000 1deg 20deg,#0000 21deg 36deg), radial-gradient(farthest-side,#0000 calc(100% - 9px),#000 calc(100% - 9px));
    -webkit-mask-composite: destination-in;
    mask-composite: intersect;
    animation: spinner-square-ring-b-3mhwfzpdwo 1s infinite steps(10);
}

@keyframes spinner-square-ring-b-3mhwfzpdwo {
    to {
        transform: rotate(1turn);
    }
}
